Kurulum Talimatları

Koleksiyonlar ile düzeninizi koruyun İçeriği tercihlerinize göre kaydedin ve kategorilere ayırın.

Oluşturulan bir kitaplık kullanmıyorsanız Java için Google API İstemci Kitaplığı'nı ve bağımlılarını bir zip dosyasında indirebilir veya Maven'ı kullanabilirsiniz.

Java belgeleri için Google HTTP İstemci Kitaplığı'nın bir parçası olan ProGuard kurulum talimatlarını da inceleyin.

Kitaplığı bağımlılıklarla indirme

En yeni zip dosyasını indirin ve dosyayı indirme sayfasında bulup bilgisayarınızda çıkarın. Bu zip dosyası, istemci kitaplığı sınıf jar dosyalarını, her yapı için ilişkili kaynak jar dosyalarını ve bağımlılıklarını içerir. Bağımlılıklar klasöründe farklı kitaplıkların bağımlılık grafiklerini ve lisanslarını bulabilirsiniz. İndirmenin içeriğiyle ilgili daha fazla bilgi için Readme.html dosyasını inceleyebilirsiniz.

Android

Android için geliştirme yapıyorsanız ve kullanmak istediğiniz Google API'si Google Play Hizmetleri kitaplığına dahil ediliyorsa en iyi performans ve deneyim için Google Play Hizmetleri kitaplığını kullanın.

Android için Java için Google API İstemci Kitaplığı'nı kullanıyorsanız hangi bağımlılıkların Android ile uyumlu olduğunu, özellikle de hangi Android SDK düzeyini bilmeniz önemlidir. Android uygulamaları, libs klasöründen aşağıdaki jar dosyalarının veya daha yeni sürümlerin uyumlu olmasını gerektirir:

  • google-api-istemci-2.0.0.jar
  • google-api-istemci-android-2.0.0.jar
  • google-oauth-istemci-1.34.1.jar
  • google-http-istemci-1.42.2.jar
  • google-http-istemci-android-1.42.2.jar
  • gson-2.9.0.jar
  • jackson-core-2.13.3.jar
  • jsr305-3.0.2.jar
  • protobuf-java-3.21.4.jar

Google App Engine

Google App Engine uygulamaları, libs klasöründen aşağıdaki jar dosyalarının veya daha yeni uyumlu sürümlerin kullanılmasını gerektirir:

  • google-api-istemci-2.0.0.jar
  • google-api-istemci-uygulama motoru-2.0.0.jar
  • google-api-istemci-servis-2.0.0.jar
  • google-oauth-istemci-1.34.1.jar
  • google-oauth-istemci-uygulama motoru-1.34.1.jar
  • google-oauth-istemci-servis-1.34.1.jar
  • google-http-istemci-1.42.2.jar
  • google-http-istemci-uygulama motoru-1.39.2.jar
  • gson-2.9.0.jar
  • jackson-core-2.13.3.jar
  • jdo2-api-2.3-eb.jar
  • jsr305-3.0.2.jar
  • protobuf-java-3.21.4.jar
  • transaction-api-1.1.jar
  • xpp3-1.1.4c.jar

Yayın

Servlet uygulamaları, libs klasöründen aşağıdaki jar dosyalarının veya daha yeni uyumlu sürümlerin kullanılmasını gerektirir:

  • google-api-istemci-2.0.0.jar
  • google-api-istemci-servis-2.0.0.jar
  • google-oauth-istemci-1.34.1.jar
  • google-oauth-istemci-servis-1.34.1.jar
  • google-http-istemci-1.42.2.jar
  • Commons-logging-1.2.jar
  • gson-2.9.0.jar
  • httpclient-4.5.13.jar
  • httpcore-4.4.12.jar
  • jackson-core-2.13.3.jar
  • jdo2-api-2.3-eb.jar
  • jsr305-3.0.2.jar
  • protobuf-java-3.21.4.jar
  • transaction-api-1.1.jar
  • xpp3-1.1.4c.jar

Genel Java

Genel amaçlı Java uygulamaları, libs klasöründen aşağıdaki jar dosyalarının veya daha yeni uyumlu sürümlerin kullanılmasını gerektirir:

  • google-api-istemci-2.0.0.jar
  • google-oauth-istemci-1.34.1.jar
  • google-http-istemci-1.42.2.jar
  • google-http-istemci-jackson2-1.39.2.jar
  • Commons-logging-1.2.jar
  • gson-2.9.0.jar
  • httpclient-4.5.13.jar
  • httpcore-4.4.12.jar
  • jackson-core-2.13.3.jar
  • jsr305-3.0.2.jar
  • protobuf-java-3.21.4.jar
  • xpp3-1.1.4c.jar

Google API'leri için oluşturulmuş kitaplıklar

Oluşturulan kitaplıkların deposu, API'lerin her bir sürümünün nasıl kullanılacağıyla ilgili talimatları içerir.

Maven

Java için Google API İstemci Kitaplığı, merkez Maven deposunda yer alır. Bu kitaplıktaki tüm yapılar için Maven groupId: com.google.api-client Her modül için özel Maven talimatları verilmiştir (aşağıda).

Modüller

Bu kitaplık dokuz modülden oluşur:

google-api-istemci

Java için Google API İstemci Kitaplığı (google-api-client), Android de dahil olmak üzere desteklenen tüm Java platformlarıyla uyumlu olacak şekilde tasarlanmıştır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client</artifactId>
  <version>2.0.0</version>
</dependency>

Android'de, kullanılmayan bağımlılıkları açık bir şekilde hariç tutmanız gerekir:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client</artifactId>
  <version>2.0.0</version>
  <exclusions>
    <exclusion>
      <artifactId>xpp3</artifactId>
      <groupId>xpp3</groupId>
    </exclusion>
    <exclusion>
      <artifactId>httpclient</artifactId>
      <groupId>org.apache.httpcomponents</groupId>
    </exclusion>
    <exclusion>
      <artifactId>junit</artifactId>
      <groupId>junit</groupId>
    </exclusion>
    <exclusion>
      <artifactId>android</artifactId>
      <groupId>com.google.android</groupId>
    </exclusion>
  </exclusions>
</dependency>

google-api-istemci-android

Java (google-api-client-android) için Google API İstemci Kitaplığı uzantıları, Java Google Android'i destekler (yalnızca SDK >= 2.1 için). Bu modül google-api-client ve google-http-client-android'e bağlıdır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client-android</artifactId>
  <version>2.0.0</version>
</dependency>

google-api-istemci-servis

Java için Google API İstemci Kitaplığı (google-api-client-servlet) ile ilgili Servlet ve JDO uzantıları, Java servlet web uygulamalarını destekler. Bu modül google-api-client ve google-oauth-client-servlet'e bağlıdır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client-servlet</artifactId>
  <version>2.0.0</version>
</dependency>

google-api-istemci-uygulama motoru

Java için Google API İstemci Kitaplığı'ndaki (google-api-client-appengine) Google App Engine uzantıları, Java Google App Engine uygulamalarını destekler. Bu modül google-api-client, google-api-client-servlet, google-oauth-istemci-uygulama motoru ve google-http-istemci-uygulama motoruna bağlıdır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client-appengine</artifactId>
  <version>2.0.0</version>
</dependency>

google-api-istemci-gson

Java için Google API İstemci Kitaplığı'na (google-api-client-gson) GSON uzantıları ekler. Bu modül, google-api-client ve google-http-client-gson adreslerine bağlıdır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client-gson</artifactId>
  <version>2.0.0</version>
</dependency>

google-api-istemci-jackson2

Jackson2, Java için Google API İstemci Kitaplığı'nı (google-api-client-jackson2) genişletir. Bu modül google-api-client ve google-http-client-jackson2 tabanlıdır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client-jackson2</artifactId>
  <version>2.0.0</version>
</dependency>

google-api-istemci-java6

Java (google-api-client-java6) için Google API İstemci Kitaplığı'na Java 6 (ve üzeri) uzantıları. Bu modül google-api-client ve google-oauth-client-java6 tabanlıdır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client-java6</artifactId>
  <version>2.0.0</version>
</dependency>

google-api-istemci-protobuf

Java için Google API İstemci Kitaplığı'ndaki (google-api-client-protobuf) Protokol arabelleği uzantıları. Bu modül google-http-client-protobuf ve google-api-client adreslerine bağlıdır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client-protobuf</artifactId>
  <version>2.0.0</version>
</dependency>

google-api-istemci-xml

Java için Google API İstemci Kitaplığı'na (google-api-client-xml) XML uzantıları. Bu modül, google-api-client ve google-http-client-xml dosyasına bağlıdır.

Maven kullanımı:

<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client-xml</artifactId>
  <version>2.0.0</version>
</dependency>